/**
 *
 * You can write your CSS code here, DO NOT touch the default JavaScript file
 * because it will make it harder for you to update.
 * 
 */

/*# sourceMappingURL=custom.css.map */
th {
  vertical-align: middle !important; /* or top, middle, baseline */
}

.navbar {
  z-index: 5;
}

/* login-page */
.card.card-hero .card-header h4 {
  font-size: 34px;
  line-height: 1.25;
}

.card.card-hero .card-body span {
  font-size: 1.3rem;
}

.btn-round {
  border-radius: 0.8rem;
}

.simple-footer {
  color: #98a6ad;
}
/* login-page */

/* form validate */
.form-group.required .control-label:after, label.required:after {
  content: " *";
  color: #dc3545;
  font-weight: bold;
}

.form-group.has-success > .form-control, .form-group.has-success > .input-group > .form-control.krajee-datepicker, .form-group.has-success > .input-group > .form-control.timepicker {
  border-color: #28a745;
  padding-right: calc(1.5em + 0.75rem);
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='8' height='8' viewBox='0 0 8 8'%3e%3cpath fill='%2328a745' d='M2.3 6.73L.6 4.53c-.4-1.04.46-1.4 1.1-.8l1.1 1.4 3.4-3.8c.6-.63 1.6-.27 1.2.7l-4 4.6c-.43.5-.8.4-1.1.1z'/%3e%3c/svg%3e");
  background-repeat: no-repeat;
  background-position: right calc(0.375em + 0.1875rem) center;
  background-size: calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
}

.form-group.has-error > .form-control, .form-group.has-error > .input-group > .form-control.krajee-datepicker, .form-group.has-error > .input-group  > .form-control.timepicker {
  border-color: #dc3545;
  padding-right: calc(1.5em + 0.75rem);
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='12' height='12' fill='none' stroke='%23dc3545' viewBox='0 0 12 12'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23dc3545' stroke='none'/%3e%3c/svg%3e");
  background-repeat: no-repeat;
  background-position: right calc(0.375em + 0.1875rem) center;
  background-size: calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
}

.help-block {
  width: 100%;
  margin-top: 0.25rem;
  font-size: 80%;
  color: #dc3545;
}
/* form validate */

/* color picker */
.spectrum-group > .input-group-prepend > .input-group-sp {
  background-color: #eee;
}
/* color picker */

/* select2 */
.select2-container .select2-selection--multiple, .select2-container .select2-selection--single {
  padding: 10px 15px;
}

.select2-container--krajee-bs4 .select2-selection--multiple .select2-selection__rendered {
  vertical-align: sub;
}

.select2-container--krajee-bs4 .select2-selection--multiple .select2-search--inline .select2-search__field {
  font-family: "Prompt";
  padding: 0;
}

.select2-container--krajee-bs4 .select2-selection--single .select2-selection__clear, .select2-container--krajee-bs4 .select2-selection--multiple .select2-selection__clear {
  font-size: 2.5rem;
}

.select2-container--krajee-bs4 .select2-selection__clear {
  font-weight: normal;
  line-height: 0.5;
  margin-right: 0.8rem;
}
/* select2 */

/* accordion */
.card .card-header h4 {
  font-size: 1.3rem;
  padding-right: 0;
}

.card-header-p1 {
  padding: 10px!important;
}

.card-body-p0 {
  padding: 0!important;
}

.card-in-accordion {
  -webkit-box-shadow: none;
	-moz-box-shadow: none;
	box-shadow: none;
  margin-bottom: 0;
}

.card-in-accordion .card-body {
  content: '';
  padding: unset;
}

.card-in-accordion .card-body blockquote.blockquote::before {
  content: '';
}

.card-in-accordion .card-body blockquote.blockquote {
  font-family: inherit;
  font-size: 1rem;
  font-style: normal;
  /* padding-left: 10px;
  padding-bottom: 5px; */
  padding: 10px 5px;
}

blockquote.blockquote ul {
  margin-bottom: 0;
}

.card-in-accordion > .card-header {
  padding: 3px;
  min-height: 50px;
  display: grid;
  grid-template-columns: 1fr max-content max-content;
}
/* accordion */

/* calendar */
.fc-overflow .btn {
  font-weight: 500;
  font-size: 16px;
}

.fc-view {
  padding: 0 0 10px 0;
}

.fc-view > table tr, .fc-view > table td {
  border-color: #eee;
}

.fc-day-sat, .fc-day-sun {
  background-color: #f9f9f9;
}
/* calendar */

.badge {
  color: #fff;
}

.btn {
  font-size: 16px;
}

.dropdown-menu a {
  font-size: 16px;
}

.display-5 {
  font-size: 1.25rem;
  font-weight: 300;
  line-height: 1.2;
}

.display-5-bold {
  font-size: 1.25rem;
  font-weight: 700;
  line-height: 1.2;
}

.card .card-body .section-title:before {
  margin-top: 15px;
}

/* table border color gray */
table.border-dark.table,
table.border-dark.table-bordered > thead > tr > th {
  border: 1px solid #a6a6a6;
}

table.border-dark.table-bordered > tbody > tr > th,
table.border-dark.table-bordered > tfoot > tr > th,
table.border-dark.table-bordered > thead > tr > td,
table.border-dark.table-bordered > tbody > tr > td,
table.border-dark.table-bordered > tfoot > tr > td {
  border: 1px solid #a6a6a6;
}
/* table border color gray */

.table-responsive {
  overflow: auto;
  touch-action: auto;
  /* height: 350px; */
}

.table-active {
  background-color: #ececec;
}

/* freeze header and side table */
.freeze-top-left1 {
  position: sticky;
  top: 0;
  left: 0;
  z-index: 3;
}

.freeze-top-left2 {
  position: sticky;
  top: 0;
  left: 70px;
  z-index: 3;
}

.freeze-col-1st {
  position: sticky;
  left: 0;
  background-color: #ddd;
}

.freeze-col-2nd {
  position: sticky;
  left: 70px;
  background-color: #fcfcfe;
}

.freeze-col-3rd {
  position: sticky;
  left: 168px;
  background-color: #fcfcfe;
}

.freeze-row-1st {
  position: sticky;
  top: 0;
  z-index: 2;
}

.freeze-row-2nd {
  position: sticky;
  top: 45px;
  z-index: 2;
}

.freeze-row-3rd {
  position: sticky;
  top: 90px;
  z-index: 2;
}
/* freeze header and side table */

/* button circle */
.btn-circle {
  width: 45px;
  height: 45px;
  line-height: 45px;
  text-align: center;
  padding: 0;
  border-radius: 50%;
}

.btn-circle i {
  position: relative;
  top: -1px;
}

.btn-circle-sm {
  width: 35px;
  height: 35px;
  line-height: 35px;
  font-size: 0.9rem;
}

.btn-circle-lg {
  width: 55px;
  height: 55px;
  line-height: 55px;
  font-size: 1.1rem;
}

.btn-circle-xl {
  width: 300px;
  height: 300px;
  line-height:300px;
  font-size: 3rem;
}
/* button circle */

/* krajee select2 */
.select2-container--krajee.select2-container--open .select2-selection, .select2-container--krajee .select2-selection:focus {
  background-color: #fefeff;
  border-color: #95a0f4;
  -webkit-box-shadow: none;
	-moz-box-shadow: none;
	box-shadow: none;
  transition: none;
  -webkit-transition: none;
  -o-transition: none; 
}

.select2-container--krajee .select2-selection--single {
  padding: 10px 15px;
}

.select2-results ul:not(.list-unstyled) {
  line-height: 20px;
}
/* krajee select2 */

/* double scroll */
#doublescroll
{
  overflow: auto; overflow-y: hidden; 
}

#doublescroll table
{
  margin: 0; 
  padding: 1em; 
  white-space: nowrap; 
}
/* double scroll */

/* Media Queries */
@media (max-width: 575.98px) {
  /* .fc-overflow #myEvent {
    width: 1000px; 
  }

  .fc .fc-button-group {
    display: inline-grid;
  }

  .fc-direction-ltr .fc-button-group > .fc-button:not(:last-child),
  .fc-direction-ltr .fc-button-group > .fc-button:not(:first-child) {
    border-radius: 0.3rem;
    margin: 2px 0;
  }

  .fc-direction-ltr .fc-toolbar > * > :not(:first-child) {
    margin-left: 0;
    margin-top: 2px;
  }

  .fc .fc-toolbar-title {
    font-size: 1.5em;
    margin: 0 10px;
  } */

  .freeze-top-left2 {
    position: unset;
    top: 0;
    left: 0;
    z-index: 3;
  }

  .freeze-col-2nd {
    position: unset;
    left: 0;
    background-color: inherit;
  }
  
  .freeze-col-3rd {
    position: unset;
    left: 0;
    background-color: inherit;
  }

  .btn-circle.btn-circle-xl {
    width: 200px;
    height: 200px;
    line-height:200px;
    font-size: 2.5rem;
  }

  .mb-xs-2 {
    margin-top: -0.5rem;
    margin-bottom: 0.5rem;
    display: block;
  }

  .mb-xs-3 {
    margin-top: -0.5rem;
    margin-bottom: 1rem;
  }
  
  
}

.select2-selection--multiple{
    overflow: hidden !important;
    height: auto !important;
}